Changes between Version 1 and Version 2 of PdfSam


Ignore:
Timestamp:
12/27/2009 07:02:36 PM (10 years ago)
Author:
geos_one
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • PdfSam

    v1 v2  
    22=== Emerging layman (if you did not have already done this) === 
    33 1. Emerge layman (if you don't already have  it). 
    4  1. Add Mario's repository to  the /etc/layman/layman.cfg file by  adding this line: 
     4{{{ 
     5$ emerge -av layman 
     6}}} 
     7 2. Add my repository to  the /etc/layman/layman.cfg file by adding this line: 
    58 
    69{{{ 
    710http://ftp.mars.arge.at/pub/overlay/geos_one-overlay.xml 
    811}}} 
    9 under the line that starts "overlays :". Then run (as root): 
     12under the line that starts "''overlays :''". Then run (as root): 
    1013 
    1114{{{ 
    1215$ sudo layman -f 
    13 $ sudo layman -a lightscribe 
     16$ sudo layman -a linamh 
    1417}}} 
    15  3. If you have a version of Portage that supports sets then you can emerge all the LightScribe apps with: 
    1618 
     19=== Emerging PdfSam === 
     20 3. Emerge pdfsman 
    1721{{{ 
    18 $ emerge -av @lightscribe 
     22$ emerge -av pdfsam 
    1923}}} 
    20 __'''''Warning:'''''__ the qlscribe application requires qt-4. Don't emerge it if you don't want qt-4 on your system. IMO qlscribe is by far the best application of the bunch. If you have qt-4 I suggest you only emerge qlscribe and don't bother with the other apps. The ebuilds that contain other LightScribe apps are: lightscribe-lacie and lightscribe-simplelabeler. 
    2124 
    2225=== Notes === 
    2326 
    24  1. Several of the LightScribe packages have "fetch restrictions" which means that you have to manually download the "source" (proprietary, binary) packages and put them in your /usr/portage/distfiles directory. You download them from this site. As of this writing (August 26, 2009) the files you need to download are: 
     27 1. pdfsam uses intarsys pdf renderer that sometimes only crashes (i don't have a solution for this at the moment, but i am working on it) 
    2528  
    26 {{{ 
    27 lightscribe-1.18.6.1-linux-2.6-intel.rpm 
    28 lightscribePublicSDK-1.18.6.1-linux-2.6-intel.rpm 
    29 lightscribeApplications-1.18.6.1-linux-2.6-intel.rpm 
    3029 
    31 }}} 
    32  
    33 It is slightly easier to download them all at once before you start emerging. If these versions are no longer available, download what is available, and you may have to bump the ebuild version numbers if Mario has not done so already. You won't need the lightscribeApplications rpm if you're only installing qlscribe. 
    34  
    35  2. If the qlscribe app fails when you want to actually print a label or print a label preview then you can try the following steps to fix a bug in (some versions of) the dbus package: 
    36  
    37  
    38 {{{ 
    39 $ sudo chgrp messagebus  /usr/libexec/dbus-daemon-launch-helper  
    40 $ sudo chmod u+s /usr/libexec/dbus-daemon-launch-helper 
    41 }}} 
    42  
    43  
    44  3. If you want to use text over a background image in qlscribe, make sure you right click on the image and select "send to Back" to ensure that the image does not hide the text. 
    45  
    46  4. This howto should help you get up to speed using qlscribe (even if you don't want to use CDDB). 
    4730---- 
    4831Back to the [wiki:WikiStart main] page